<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetHeadPosition Method (IEdmSelectionList5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmSelectionList5 Interface : GetHeadPosition Method (IEdmSelectionList5)

Visual Basic
C#
C++/CLI
Starts an enumeration of the items in this list.

# Syntax

Visual Basic |
--- | ---

    Function GetHeadPosition() As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetHeadPosition()

C++/CLI |
--- | ---

    IEdmPos5^ GetHeadPosition();

#### Return Value

IEdmPos5; position of first element in this list

# Example

See the IEdmSelectionList5 examples.

# Remarks

After calling this method, pass the position of the first item to IEdmSelectionList5::GetNext to get the first item in this list. Then call IEdmSelectionList5::GetNext repeatedly to get the rest of the items in this list.

C++ programmers not using smart-pointer wrapper functions must release the returned interface, IEdmPos5.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmSelectionList5 Interface
IEdmSelectionList5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2